Форум русскоязычного сообщества Ubuntu


Автор Тема: Пакеты с ошибками...  (Прочитано 647 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн winrealist

  • Автор темы
  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Пакеты с ошибками...
« : 29 Февраль 2016, 18:48:53 »
Ребят, есть некий пакет, в котором есть ошибки. Удалять и устанавливать по новой мне страшновато, вдруг что сломается, подскажите, пожалуйста, как исправить ошибки?


Просьба воспользоваться сервисом itmages.ru.
Цитата:
Правила форума
1. Основные положения
1.5. Для добавления графических изображений в сообщения требуется использовать внешние сервисы. Подробную инструкцию, а так же список рекомендованных и запрещенных сервисов можно посмотреть в «Руководстве по добавлению изображений на форум».
Графику подправил.
-- it0r

« Последнее редактирование: 07 Март 2016, 07:14:05 от it0r »

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #1 : 29 Февраль 2016, 18:54:18 »
winrealist,
а что за ошибки?

Оффлайн winrealist

  • Автор темы
  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #2 : 29 Февраль 2016, 18:55:29 »
wajnon,
Скрин прикрепил, нарушает зависимость. В итоге его обновить не могу.

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #3 : 29 Февраль 2016, 19:01:21 »
winrealist,
у меня точно так же. это не ошибка, посмотри свойства других пакетов, много интересного найдешь.

Оффлайн winrealist

  • Автор темы
  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #4 : 29 Февраль 2016, 19:04:07 »
wajnon,
То есть то, что он не обновляется до 11.3 норма? Я его отмечаю для обновы, жму применить, он пишет ,что необходимо исправить ошибки в пакетах. Может тогда и не в зависимости дело?

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #5 : 29 Февраль 2016, 19:09:13 »
winrealist,
у тебя 15.10?
sudo apt-get updatesudo apt-get upgrade

Оффлайн winrealist

  • Автор темы
  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #6 : 29 Февраль 2016, 19:12:18 »
wajnon,
14.04.4 LTS,
Пакеты, которые будут оставлены в неизменном виде:
  libgbm1
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #7 : 29 Февраль 2016, 19:17:16 »
winrealist,
а сейчас у него версия какая?

Оффлайн winrealist

  • Автор темы
  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #8 : 29 Февраль 2016, 19:31:38 »
wajnon,
10.1.3-0ubuntu0.6

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #9 : 29 Февраль 2016, 19:45:55 »
winrealist,
sudo apt-get -s install libgbm1что отвечает?

Оффлайн winrealist

  • Автор темы
  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #10 : 29 Февраль 2016, 19:46:45 »
wajnon,
Пакеты, имеющие неудовлетворённые зависимости:
 libgbm1 : Зависит: libgl1-mesa-dri (= 11.3~git1602290730.07ed00~gd~t)
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #11 : 29 Февраль 2016, 19:50:19 »
winrealist,
sudo apt-get -s install libgl1-mesa-dri?

Оффлайн winrealist

  • Автор темы
  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #12 : 29 Февраль 2016, 19:51:13 »
wajnon,
Пакеты, имеющие неудовлетворённые зависимости:
 unity-control-center : Зависит: libcheese-gtk23 (>= 3.4.0) но он не будет установлен
                        Зависит: libcheese7 (>= 3.0.1) но он не будет установлен
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.

$ sudo apt-get -s install libcheese-gtk23
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлена самая новая версия libcheese-gtk23.
libcheese-gtk23 установлен вручную.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.

$ sudo apt-get -s install libcheese7
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлена самая новая версия libcheese7.
libcheese7 установлен вручную.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #13 : 29 Февраль 2016, 19:54:46 »
winrealist,
в источниках приложений proposed снят чекбокс?

Оффлайн winrealist

  • Автор темы
  • Новичок
  • *
  • Сообщений: 20
    • Просмотр профиля
Re: Пакеты с ошибками...
« Ответ #14 : 29 Февраль 2016, 19:59:17 »
wajnon,
Если имеются в виду обновления, не вошедшие в официальный выпуск (trusty-proposed), то да, снят.

 

Страница сгенерирована за 0.067 секунд. Запросов: 24.